Page MenuHomePhabricator

Put toghether an updated documentation on EventLogging {tick} {oryx} [8 pts]
Closed, ResolvedPublic

Description

EventLogging documentation needs update for:

  • Database audit (including how-to's for new schemas)
  • EventLogging on Kafka

Event Timeline

mforns created this task.Sep 10 2015, 4:52 PM
mforns raised the priority of this task from to Needs Triage.
mforns updated the task description. (Show Details)
mforns added a project: Analytics-Backlog.
mforns added a subscriber: mforns.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 4:52 PM
mforns renamed this task from Put toghether an updated documentation on EventLogging to Put toghether an updated documentation on EventLogging {tick+oryx}.Sep 10 2015, 4:55 PM
mforns set Security to None.
Milimetric renamed this task from Put toghether an updated documentation on EventLogging {tick+oryx} to Put toghether an updated documentation on EventLogging {tick} {oryx}.Sep 10 2015, 5:06 PM
Milimetric triaged this task as High priority.
Milimetric moved this task from Incoming to Backlog on the Analytics-Backlog board.
Milimetric moved this task from Backlog to Prioritized on the Analytics-Backlog board.
mforns claimed this task.Sep 11 2015, 3:02 PM
mforns edited projects, added Analytics-Kanban; removed Analytics-Backlog.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.
mforns renamed this task from Put toghether an updated documentation on EventLogging {tick} {oryx} to Put toghether an updated documentation on EventLogging {tick} {oryx} [8 pts].Sep 16 2015, 3:23 PM
mforns moved this task from In Progress to In Code Review on the Analytics-Kanban board.

Here is a list of what has been done for this task. All points are related to either Wikitech (WT) or MediaWiki (MW) documentation on EventLogging:

  • Unify urls for all pages in WT to /Analytics/EventLogging/XYZ.
  • Remove outdated comments, paragraphs or sections from WT and MW.
  • Archive outdated pages from WT and MW.
  • Update references to old machines, systems, tools, etc. in WT and MW.
  • Analyze the existing documentation to better understand.
  • Completely reorganize WT main EventLogging page for easier browsing.
  • Factor out some sections into separate pages in WT.
  • Move WMF-specific pages from MW to WT (they should be there, MW is for EL extension).
  • Add several sections to WT that link to useful information in MW, like how to create a schema.
  • Add notifications in WT and MW regarding purpose of both wikis and linked each to the other.
  • Add Andrew's chart for WT architecture page.
  • Create new page in WT: /Analytics/EventLogging/Data_retention_and_auto-purging
  • Look for existing spread-out documentation on WT and list them inside the main page.
  • Add new sections on WT's main page:
    • Generating reports and dashboards on EL data
    • Related discussions

If you want to have a look:
https://wikitech.wikimedia.org/wiki/Analytics/EventLogging

mforns moved this task from In Code Review to Done on the Analytics-Kanban board.Sep 17 2015, 3:42 PM
kevinator closed this task as Resolved.Sep 18 2015, 11:06 PM
kevinator awarded a token.
kevinator added a subscriber: kevinator.